> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rocka.live/llms.txt
> Use this file to discover all available pages before exploring further.

# Export payouts



## OpenAPI

````yaml /api-reference/openapi.yaml get /api/payouts
openapi: 3.0.1
info:
  title: Rocka Payments
  version: 1.0.0
  description: ''
  contact:
    email: support@rocka.live
servers:
  - url: https://api.stage.rocka.live
    description: Sandbox
  - url: https://api.rocka.live
    description: Live
security: []
paths:
  /api/payouts:
    get:
      tags:
        - Manage your data
      summary: Export payouts
      parameters:
        - name: dateFrom
          in: query
          schema:
            type: string
            format: date-time
            description: >-
              Only include payouts that were made after a certain date.
              YYYY-MM-DD.
          x-position: 1
        - name: dateTo
          in: query
          schema:
            type: string
            format: date-time
            description: >-
              Only include payouts that were made before a certain date.
              YYYY-MM-DD.
          x-position: 2
        - name: status
          in: query
          schema:
            type: string
            description: Payout status.
            enum:
              - Processing
              - Executing
              - Failed
              - Done
              - Rejected
      responses:
        '200':
          description: Payouts retrieved successfully.
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      description: Payout ID.
                    amount:
                      type: number
                      format: double
                      description: The total amount transferred.
                    currency:
                      type: string
                      description: Payout currency.
                    status:
                      type: string
                      description: Payout status.
                    fee:
                      type: number
                      format: double
                      description: Total payout fee.
                    balanceAfterOperation:
                      type: number
                      format: double
                      nullable: true
                      description: Balance remaining after the payout was completed.
                    balanceImpact:
                      type: number
                      format: double
                      description: The net change to the balance.
                    operationType:
                      type: string
                      description: Transaction type.
                    createdAt:
                      type: string
                      format: date-time
                      description: The date and time the payout was created.
                    executedAt:
                      type: string
                      format: date-time
                      nullable: true
                      description: The date and time the payout was executed.
                    receivedAt:
                      type: string
                      format: date-time
                      nullable: true
                      description: The date and time the recipient received the payout.
                    rejectReason:
                      type: string
                      nullable: true
                      description: The reason why the payout failed.
              examples:
                Multiple payouts:
                  summary: Response with multiple matching payouts
                  value:
                    - id: 4086e6ec1e7e4743af6954edfcbf557f
                      amount: 20
                      currency: EUR
                      status: Done
                      fee: 0
                      balanceAfterOperation: null
                      balanceImpact: -20
                      operationType: Payout
                      createdAt: '2026-05-11T07:12:51.182Z'
                      executedAt: '2026-05-11T07:13:05.747Z'
                      receivedAt: null
                      rejectReason: ''
                    - id: bd4b23049d674639a96dabcf1adf07b8
                      amount: 20
                      currency: EUR
                      status: Done
                      fee: 0
                      balanceAfterOperation: null
                      balanceImpact: -20
                      operationType: Payout
                      createdAt: '2026-05-11T07:12:51.182Z'
                      executedAt: '2026-05-11T07:13:05.747Z'
                      receivedAt: null
                      rejectReason: ''
                    - id: 9f45995875a84fa2b0e26f67371899f6
                      amount: 20
                      currency: EUR
                      status: Done
                      fee: 0
                      balanceAfterOperation: null
                      balanceImpact: -20
                      operationType: Payout
                      createdAt: '2026-05-11T07:12:51.147Z'
                      executedAt: '2026-05-11T07:13:05.626Z'
                      receivedAt: null
                      rejectReason: ''
      security:
        - APIkey: []
components:
  securitySchemes:
    APIkey:
      description: >-
        To get your own API keys, go to the **Integration** tab in your [Rocka
        Hub](https://hub.rocka.live).
      in: header
      name: x-api-key
      type: apiKey

````